0 Replies Latest reply: Oct 2, 2012 8:46 AM by Johnny_hunter RSS

    javaws.jar in jre 6u17 v.s jaxws-rt-2.1.3.jar downloaded through maven

      hello all:

      I received error stack trace like this when I tried to call a webserivce client on a unix box (with jre1.6u17 installed):
      java.lang.NoClassDefFoundError: Could not initialize class com.sun.xml.ws.api.addressing.AddressingVersion
           at com.sun.xml.ws.wsdl.parser.MemberSubmissionAddressingWSDLParserExtension.portTypeOperationInput(MemberSubmissionAddressingWSDLParserExtension.java:90)
           at com.sun.xml.ws.wsdl.parser.DelegatingParserExtension.portTypeOperationInput(DelegatingParserExtension.java:79)
           at com.sun.xml.ws.wsdl.parser.WSDLParserExtensionFacade.portTypeOperationInput(WSDLParserExtensionFacade.java:110)
           at com.sun.xml.ws.wsdl.parser.RuntimeWSDLParser.parsePortTypeOperationInput(RuntimeWSDLParser.java:734)
           at com.sun.xml.ws.wsdl.parser.RuntimeWSDLParser.parsePortTypeOperation(RuntimeWSDLParser.java:702)
      I didn't have problem when I ran it from my Windows local. I noticed, though, that I used maven and have javaws-rt-2.1.3 in its repository.

      I heard that that since Jre 1.6u4 it's shipped with java ws installed (http://metro.java.net/2.0/guide/Using_JAX_WS_2_x___Metro_1_x_2_0_with_Java_SE_6.html). I looked and found in the lib there is a javaws.jar and i looked more, there is NO AddressingVersion inside there, while in javaws-rt-2.1.3 there is, with the correct package.

      Anyone mind telling me what's the difference between these two jar files, and which one should I use? It seems to me extra dependencies is needed at least for some of the JAX-WS driven web service applications.